Verify the security parameter; (128-bits)


Here are the results of the TEST applied on your browser :

Security : Disabled
Encryption : -
Browser :
JavaScript :

** CAUTION ** - The browser you have is not able to support 128-bit encryption. In order to improve your security while transmitting confidential and/or private information on the Net, you must download the latest version of Microsoft Internet Explorer or Netscape Navigator. To learn about security on the Net, reading our FAQ (frequently asked questions).

You must have one of the following browser versions:

If you are using a PC:

  • Microsoft Internet Explorer, version 5.5 or later (and the 128 bit update)
  • Netscape, version 6.0 or later with the 128-bit version
For Macintosh users:
  • Microsoft Internet Explorer, Version 5.1.7 or 5.2.3
  • Netscape Communicator, Version 6.2
If your browser does not have 128-bit encryption, you can update it by clicking on:

It's easy - just follow the instructions.